Name:           v4l2-tool
Version:        1.0.3
Release:        2%{?dist}
Summary:        This package gives v4l2 device information of webcam

Group:          Applications/Multimedia
License:        GPLv2
URL:            http://v4lx-devinfo.sf.net/
Source0:        http://downloads.sourceforge.net/v4lx-devinfo/%{name}-%{version}.tar.gz
Patch0:         db.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  desktop-file-utils libgnomeui-devel
BuildRequires:  automake

%description
This package gives v4l2 device information of webcam.  This
application is used to get more hardware information from attached
webcam device.  This application is tested with gspca and uvcvideo
v4l2 kernel drivers.  There are five tabs each corresponding to one
ioctl call and returning respective structure fills with values.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .db

%build
sh autogen.sh
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_datadir}/%{name}
install -p -m 644 src/uvcvideo.txt %{buildroot}%{_datadir}/%{name}/uvcvideo.txt
install -p -m 644 src/gspcav2.txt %{buildroot}%{_datadir}/%{name}/gspcav2.txt
mkdir -p %{buildroot}%{_datadir}/pixmaps/
install -p -m 644 v4l2-tool-logo.png %{buildroot}%{_datadir}/pixmaps/v4l2-tool-logo.png

cat << EOF > %{name}.desktop
[Desktop Entry]
Name=v4l2-tool
Comment=Gives webcam details using v4l2 kernel driver
Exec=v4l2-tool
Icon=v4l2-tool-logo
Terminal=false
Type=Application
Encoding=UTF-8
Categories=GNOME;Application;AudioVideo;Video;
EOF

desktop-file-install --vendor fedora \
    --dir %{buildroot}/%{_datadir}/applications/ \
    %{name}.desktop


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root, -)
%doc COPYING AUTHORS ChangeLog README
%{_bindir}/v4l2-tool
%{_datadir}/pixmaps/v4l2-tool*
%{_datadir}/v4l2-tool
%{_datadir}/applications/fedora-v4l2-tool.desktop

%changelog
* Sat Feb 09 2008 Parag Nemade <panemade@gmail.com>- 1.0.3-2
- Rebuild for gcc 4.3

* Tue Aug 28 2007 Parag Nemade <panemade@gmail.com>- 1.0.3-1
- update to new upstream release

* Tue Aug 21 2007 Parag Nemade <panemade@gmail.com>- 1.0.2-3
- update License tag 
- build against new rpm package

* Thu Nov 30 2006 Parag Nemade <panemade@gmail.com> 1.0.2-2
- Fixed Desktop file, Source URL, Added COPYING under %%doc

* Sat Aug 26 2006 Parag Nemade <panemade@gmail.com> 1.0.2-1
- Initial specfile for Fedora Extras

